Skip to main content
PATCH
/
api
/
v0
/
repositories
/
{repo_id}
/
teams
/
{team_id}
Update repository team.
curl --request PATCH \
  --url https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "acceptInvite": true,
  "members": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action": "invite"
    }
  ]
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id}"

payload = {
"acceptInvite": True,
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "invite"
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
acceptInvite: true,
members: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', action: 'invite'}]
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
team_id
string<uuid>
required

Body

application/json
acceptInvite
boolean | null

Whether to accept or reject the invite to join a repo team. Can only be updated by the auditor that has the invite.

members
object[]

The auditors that will be invited/removed from the team. Can only be updated by a team leader or an admin.

The user id of the auditor to invite to the team. Only a team leader can create an invite.

Response

Repository team successfully updated